###Spawning
tag @s[type=#mobtweaks:spawn/misc,tag=!mobtweaks.used,predicate=!mobtweaks:spawn/misc] add mobtweaks.used
execute at @s[type=#mobtweaks:spawn/misc] as @s run function mobtweaks:spawn/hub
execute at @s[type=#mobtweaks:spawn/raid,predicate=!mobtweaks:raid/wave_0] as @s run function mobtweaks:spawn/hub

###Allay
execute at @s[type=allay,nbt=!{Health:20.0f}] run particle heart ~ ~0.5 ~ 0 0 0 0.1 1 normal

###Rabbit
execute as @s[type=rabbit,nbt=!{RabbitType:99}] at @s if entity @n[type=lightning_bolt,distance=..6] run data modify entity @s RabbitType set value 99

###Gear
execute as @s[type=zombified_piglin] on passengers run execute as @s[type=block_display,tag=mobtweaks.piglin] at @s run tag @n[type=zombified_piglin,tag=!smithed.entity,tag=!global.ignore,tag=!mobtweaks.geared] add mobtweaks.geared
execute as @s[type=zombified_piglin] on passengers run kill @s[type=block_display,tag=mobtweaks.piglin]

execute as @s[type=#mobtweaks:gear/spawn,tag=!smithed.entity,tag=!global.ignore,tag=!mobtweaks.geared] run function mobtweaks:gear/spawn
execute as @s[type=zombie_villager,predicate=mobtweaks:equipment/head] run function mobtweaks:gear/headwear

##Babies
execute as @s[type=#mobtweaks:non_passive_babies,tag=!moremobs.zp,tag=!mobtweaks.used.baby] at @s run function mobtweaks:behavior/non_passive_babies

##Villager
execute as @s[type=villager,predicate=!mobtweaks:state/is_baby,predicate=mobtweaks:diamond_villager,tag=!mobtweaks.used] run function mobtweaks:behavior/villager/main

###Breedable
execute at @s[type=#mobtweaks:breedable/main,nbt=!{InLove:0,Age:0},predicate=!mobtweaks:state/is_baby] if entity @p[distance=..30] run function mobtweaks:behavior/breedable/particles

##Ravager
effect give @s[type=ravager,predicate=!mobtweaks:effect/water_breathing] water_breathing infinite 0 true

##Axolotl
execute as @s[type=axolotl,tag=!mobtweaks.used.baby] at @s run function mobtweaks:behavior/axolotl/1s

##Undead Horses
execute as @s[type=#mobtweaks:undead_horses] at @s run function mobtweaks:behavior/undead_horses